Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#39120 - [libots] missing dependancy on popt

Attached to Project: Arch Linux
Opened by Joel Teichroeb (klusark) - Monday, 03 March 2014, 17:29 GMT
Last edited by Gaetan Bisson (vesath) - Monday, 03 March 2014, 23:27 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Gaetan Bisson (vesath)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

checking for poptParseArgvString in -lpopt... no
configure: error: popt 1.5 or newer is required to build ots.
You can download the latest version from ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.1.x/


Steps to reproduce:

sudo extra-x86_64-build
This task depends upon

Closed by  Gaetan Bisson (vesath)
Monday, 03 March 2014, 23:27 GMT
Reason for closing:  Fixed
Additional comments about closing:  libots-0.5.0-4 in [extra]
Comment by Doug Newgard (Scimmia) - Monday, 03 March 2014, 18:01 GMT
Confirmed that it builds fine with popt from [core].
Comment by Gaetan Bisson (vesath) - Monday, 03 March 2014, 23:25 GMT
popt is a dependency of cryptsetup and logrotate, both of which are in the base group, so it's fine to omit it on a live system. The only issue is that base is not required in build chroots anymore anymore, just base-devel. Ah, well... I guess to improve is to change.

Loading...